Subject: optional hwchecksum in sungem

From: Olaf Hering <[email-masked]>
Date: Sun, 12 Dec 2004 15:34:01 +0100

David,

the harddrive in my ibook was broken and they replaced it.
Somehow they managed to break the trackpad and sungem.
The trackpad works sometimes, sometimes not. The sungem needs now 
skb->ip_summed set to 0 and networking works fine again.

Today I wondered why none of my iptables rules matched anymore with
2.6.10 (worked with 2.6.8). It turned out that most of the traffic
matched a rule:
iptables -I INPUT -i ppp0 -m state --state INVALID -j LOG

I cant imagine how they crippled the network and the trackpad. Do you
know why ethtool can not turn off rx checksumming? Is it just not
implemented, or is it not tunable during runtime? 
ethtool -k eth0 doesnt work for sungem.
Would you accept a patch to make ->ip_summed a module option?